
Figure - Bug #111414
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】设置中切换左手模式和右手模式时，弹出“Quickstep”屡次停止运行的弹窗
2022-08-23 11:47 - CD Test赵飞

Status: CLOSED Start date: 2022-08-23

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 之前开发测试的机子上没有出现此问题，且关于hotseat设置了左右后，对hotseat显示在左右没有更精细的代码上的操作，可能引起了意料之外的问题。

Description

【测试版本】

FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220823.alpha_005

【前提条件】

无

【测试步骤】

1、进入设置 - 显示 - 操作模式

2、切换到左手模式

3、再次切换到右手模式

【预期结果】

3、正常切换，无其他异常

【实际结果】

3、页面弹出“Quickstep”屡次停止运行的弹窗

【复现率】

5/5（系统启动后首次切换必现）

【日志】

日志与截图见附件

History

#1 - 2022-08-23 14:41 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- App-李朝鹏

#2 - 2022-08-26 11:34 - CD- App-李朝鹏

- Status changed from New to RESOLVED

- Assignee changed from CD- App-李朝鹏 to CD Test赵飞

- Target version set to 590

- Root cause set to 之前开发测试的机子上没有出现此问题，且关于hotseat设置了左右后，对hotseat显示在左右没有更精细的代码上的操作，可能引起了意

料之外的问题。
■ Current conclusion

问题解决，可以正常设置hotseat左右显示

■ My analysis

优化了hotseat显示在左右的代码，在设置了hotseat显示在左右的值后，不再重新初始化launcher上的所有元素，而是只对hotseat及相关view进行布局设置。

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/144121

#3 - 2022-08-26 13:45 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220825.alpha_006

验证结果：PASS

左手模式和右手模式可以正常切换，无异常弹出

#4 - 2022-08-26 13:45 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#5 - 2022-09-14 12:00 - CD TPM-申艳艳

- Category set to CD-APP

#6 - 2022-09-16 09:57 - CD SWPM-杨宏伟

- Target version changed from 590 to VX1_MCE_FSE_V2.0_20220930

Files

logcat.txt 2.4 MB 2022-08-23 CD Test赵飞

Screenshot_20220822-174346.png 63.4 KB 2022-08-23 CD Test赵飞
